Subject: bug#16374: closed (Re: bug#16374: password not hidden in shell when mounting cifs partition)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 07 Nov 2019 00:40:05 +0000

Your bug report

#16374: password not hidden in shell when mounting cifs partition

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16374: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16374
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16374: password not hidden in shell when mounting cifs partition
From: Stefan Kangas <[email-masked]>
To: Tyler Smith <[email-masked]>
Cc: [email-masked]
Date: Thu, 07 Nov 2019 01:39:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Tyler Smith <[email-masked]> writes:
>
>> I'm not sure if this is really an Emacs bug, or just a limitation of *shell*
>>
>> Starting from emacs -Q:
>> M-x shell
>> mount ./network-drive
>> ;; (fstab for this drive is:
>> //<network.location>/<folder>$/     /home/user/network-drive      cifs
>> noauto,users,user=<my username on the network>,uid=<my local
>> username>,rw     0       0
>> ;; )
>>
>> ;; I am now prompted for my network password. When I enter it and press
>> ;; return I see this:
>> Password for <user>@//<network.location>/<folder>$/:  <my password in
>> plain text>
>> ********
>>
>> The point is, the asterisks should be appearing in place of my actual
>> password. Instead, they appear in addition to my password.
>>
>> Thanks for your time,
>>
>> Tyler
>>
>> In GNU Emacs 24.3.50.1 (i686-pc-linux-gnu, GTK+ Version 3.8.6)
>>  of 2013-12-31 on ONOTTAR654746
>
> Hi Tyler,
>
> Thanks for the bug report.  Sorry that it went unanswered for so long.
>
> When I try the following on Emacs 26.1, I get no error:
>
> (progn
>   (require 'comint)
>   (string-match comint-password-prompt-regexp
>         "Password for foo@//example.org/foo/bar$/: "))
>
> This suggests to me that a prompt such as the above should work under
> M-x shell, since that is built on top of comint.
>
> Could you verify that this works for you on Emacs 26.1?
>
> Could you also please tell me if:
>
> "Password for foo@//example.org/foo/bar$/: "
>
> is a good example of the kind of prompt you get when mounting a cifs
> partition?  (I'm trying to find a good example to add to the test
> suite for comint-password-prompt-regexp.)

The original issue seems to be solved here.  More information was
requested on how to write a test case for this, but none was given
within 4 weeks.  I'm therefore closing this bug.

If someone could provide an example of what a CIFS prompt
realistically looks like, please report back so we can add it to the
test suite.  Finally, if anyone is still seeing this on Emacs 27
despite the above, please reopen the bug report.

Best regards,
Stefan Kangas

Subject: password not hidden in shell when mounting cifs partition
From: Tyler Smith <[email-masked]>
To: [email-masked]
Date: Mon, 6 Jan 2014 11:43:36 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm not sure if this is really an Emacs bug, or just a limitation of *shell*

Starting from emacs -Q:
M-x shell
mount ./network-drive
;; (fstab for this drive is:
//<network.location>/<folder>$/     /home/user/network-drive      cifs
noauto,users,user=<my username on the network>,uid=<my local
username>,rw     0       0
;; )

;; I am now prompted for my network password. When I enter it and press
;; return I see this:
Password for <user>@//<network.location>/<folder>$/:  <my password in
plain text>
********

The point is, the asterisks should be appearing in place of my actual
password. Instead, they appear in addition to my password.

Thanks for your time,

Tyler

In GNU Emacs 24.3.50.1 (i686-pc-linux-gnu, GTK+ Version 3.8.6)
 of 2013-12-31 on ONOTTAR654746
Bzr revision: 115821 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11405000
System Description: Debian GNU/Linux unstable (sid)

Important settings:
  value of $LANG: en_CA.utf8
  locale-coding-system: utf-8-unix

Major mode: Shell

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-o M-x M-x s h e l l <return> m o u n t SPC n - <tab>
<return> n o t m y r e a l p a s s w o r d <return> M-o C-g M-x
r e p o <tab> r t <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
M-o M-x is undefined
M-o C-g is undefined
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils help-mode easymenu pcmpl-linux shell
pcomplete comint ansi-color ring time-date tooltip electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)